#include "led.h"
#include "key.h"
#include "delay.h"
#include "usart.h"
#include "timer.h"
#include "usart3.h"
#include "SHT2x.h"
#include "myiic.h"
#include "gizwits_product.h"

void Gizwits_Init(void)
{
	TIM3_Int_Init(9,7999);
	usart3_init(9600);
	userInit();
	gizwitsInit();
}

int main(void)
{
    int key;
	delay_init();
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    uart_init(115200);
	LED_Init();
	KEY_Init();
	SHT2x_Init();
	userInit();
    Gizwits_Init();
	printf("key1:AirLinkģʽ\tkey_up:λ\r\n\r\n");
	while(1)
	{
		userHandle();
		gizwitsHandle((dataPoint_t*)&currentDataPoint);
		key=KEY_Scan(0);
		if(key==KEY1_PRES)
		{
			printf("WIFIAirLinkģʽ\r\n");
			gizwitsSetMode(WIFI_AIRLINK_MODE);
		}
		if(key==WKUP_PRES)
		{
			printf("WIFIλ\r\n");
			gizwitsSetMode(WIFI_RESET_MODE);
		}
		
		
		
	}
}
